<?xml version='1.0' encoding='ISO-8859-1' standalone='yes' ?>
<tagfile>
  <compound kind="page">
    <name>index</name>
    <title>libemailfunctions</title>
    <filename>index</filename>
  </compound>
  <compound kind="file">
    <name>email.h</name>
    <path>/build/buildd/kdepim-trinity-3.5.12/libemailfunctions/</path>
    <filename>email_8h</filename>
    <namespace>KPIM</namespace>
    <member kind="enumeration">
      <name>EmailParseResult</name>
      <anchorfile>namespaceKPIM.html</anchorfile>
      <anchor>e264878f406140142a8ea814d844269c</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type>TQStringList</type>
      <name>splitEmailAddrList</name>
      <anchorfile>namespaceKPIM.html</anchorfile>
      <anchor>d700f977b9e8a7688a20e03577a4026c</anchor>
      <arglist>(const TQString &amp;aStr)</arglist>
    </member>
    <member kind="function">
      <type>KPIM::EmailParseResult</type>
      <name>splitAddress</name>
      <anchorfile>namespaceKPIM.html</anchorfile>
      <anchor>e703e73c3b2f9bd964436af934c487af</anchor>
      <arglist>(const TQCString &amp;address, TQCString &amp;displayName, TQCString &amp;addrSpec, TQCString &amp;comment)</arglist>
    </member>
    <member kind="function">
      <type>KPIM::EmailParseResult</type>
      <name>splitAddress</name>
      <anchorfile>namespaceKPIM.html</anchorfile>
      <anchor>1892fdf483a4019d627288eb73502f62</anchor>
      <arglist>(const TQString &amp;address, TQString &amp;displayName, TQString &amp;addrSpec, TQString &amp;comment)</arglist>
    </member>
    <member kind="function">
      <type>KPIM::EmailParseResult</type>
      <name>isValidEmailAddress</name>
      <anchorfile>namespaceKPIM.html</anchorfile>
      <anchor>fcef7130e03ff4692f91018f855b39e2</anchor>
      <arglist>(const TQString &amp;aStr)</arglist>
    </member>
    <member kind="function">
      <type>TQString</type>
      <name>emailParseResultToString</name>
      <anchorfile>namespaceKPIM.html</anchorfile>
      <anchor>b30b9db916b77b1dac18815d802717cd</anchor>
      <arglist>(EmailParseResult errorCode)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isValidSimpleEmailAddress</name>
      <anchorfile>namespaceKPIM.html</anchorfile>
      <anchor>40004dd76824f0f969bc9687a4a5d225</anchor>
      <arglist>(const TQString &amp;aStr)</arglist>
    </member>
    <member kind="function">
      <type>TQString</type>
      <name>simpleEmailAddressErrorMsg</name>
      <anchorfile>namespaceKPIM.html</anchorfile>
      <anchor>2f941b9bcff7b17115be2311d987da5a</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>TQCString</type>
      <name>getEmailAddress</name>
      <anchorfile>namespaceKPIM.html</anchorfile>
      <anchor>0157516c4d997577041fd7850338b404</anchor>
      <arglist>(const TQCString &amp;address)</arglist>
    </member>
    <member kind="function">
      <type>TQString</type>
      <name>getEmailAddress</name>
      <anchorfile>namespaceKPIM.html</anchorfile>
      <anchor>53907e068d1b0377adc1ede7bef20759</anchor>
      <arglist>(const TQString &amp;address)</arglist>
    </member>
    <member kind="function">
      <type>TQCString</type>
      <name>getFirstEmailAddress</name>
      <anchorfile>namespaceKPIM.html</anchorfile>
      <anchor>a9b7442459a083d6da81292c0f6a75b2</anchor>
      <arglist>(const TQCString &amp;addresses)</arglist>
    </member>
    <member kind="function">
      <type>TQString</type>
      <name>getFirstEmailAddress</name>
      <anchorfile>namespaceKPIM.html</anchorfile>
      <anchor>251082107d2a2c9597285dbe884a9155</anchor>
      <arglist>(const TQString &amp;addresses)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>getNameAndMail</name>
      <anchorfile>namespaceKPIM.html</anchorfile>
      <anchor>3d06decacf0f727176287954fb13d14a</anchor>
      <arglist>(const TQString &amp;aStr, TQString &amp;name, TQString &amp;mail)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>compareEmail</name>
      <anchorfile>namespaceKPIM.html</anchorfile>
      <anchor>f8a22fa04978b31079c495f18de6ffa2</anchor>
      <arglist>(const TQString &amp;email1, const TQString &amp;email2, bool matchName)</arglist>
    </member>
    <member kind="function">
      <type>TQString</type>
      <name>normalizedAddress</name>
      <anchorfile>namespaceKPIM.html</anchorfile>
      <anchor>e47312318f8bf28b87261ebed2e19896</anchor>
      <arglist>(const TQString &amp;displayName, const TQString &amp;addrSpec, const TQString &amp;comment)</arglist>
    </member>
    <member kind="function">
      <type>TQString</type>
      <name>decodeIDN</name>
      <anchorfile>namespaceKPIM.html</anchorfile>
      <anchor>dd3062720384cb08bd1ad77195370790</anchor>
      <arglist>(const TQString &amp;addrSpec)</arglist>
    </member>
    <member kind="function">
      <type>TQString</type>
      <name>encodeIDN</name>
      <anchorfile>namespaceKPIM.html</anchorfile>
      <anchor>12f9681cb4092d50ae1f21a493d4536e</anchor>
      <arglist>(const TQString &amp;addrSpec)</arglist>
    </member>
    <member kind="function">
      <type>TQString</type>
      <name>normalizeAddressesAndDecodeIDNs</name>
      <anchorfile>namespaceKPIM.html</anchorfile>
      <anchor>1eb80e56a9b337cce7bc3c3082a3f901</anchor>
      <arglist>(const TQString &amp;addresses)</arglist>
    </member>
    <member kind="function">
      <type>TQString</type>
      <name>normalizeAddressesAndEncodeIDNs</name>
      <anchorfile>namespaceKPIM.html</anchorfile>
      <anchor>fc8b0f50e9650072ad99ab8468d5f1b1</anchor>
      <arglist>(const TQString &amp;str)</arglist>
    </member>
    <member kind="function">
      <type>TQString</type>
      <name>quoteNameIfNecessary</name>
      <anchorfile>namespaceKPIM.html</anchorfile>
      <anchor>8349d1f78aeaa046630785e60863d332</anchor>
      <arglist>(const TQString &amp;str)</arglist>
    </member>
  </compound>
  <compound kind="namespace">
    <name>KPIM</name>
    <filename>namespaceKPIM.html</filename>
    <class kind="class">KPIM::IdMapper</class>
    <class kind="class">KPIM::NetworkStatus</class>
    <member kind="enumeration">
      <name>EmailParseResult</name>
      <anchorfile>namespaceKPIM.html</anchorfile>
      <anchor>e264878f406140142a8ea814d844269c</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type>TQStringList</type>
      <name>splitEmailAddrList</name>
      <anchorfile>namespaceKPIM.html</anchorfile>
      <anchor>d700f977b9e8a7688a20e03577a4026c</anchor>
      <arglist>(const TQString &amp;aStr)</arglist>
    </member>
    <member kind="function">
      <type>KPIM::EmailParseResult</type>
      <name>splitAddress</name>
      <anchorfile>namespaceKPIM.html</anchorfile>
      <anchor>e703e73c3b2f9bd964436af934c487af</anchor>
      <arglist>(const TQCString &amp;address, TQCString &amp;displayName, TQCString &amp;addrSpec, TQCString &amp;comment)</arglist>
    </member>
    <member kind="function">
      <type>KPIM::EmailParseResult</type>
      <name>splitAddress</name>
      <anchorfile>namespaceKPIM.html</anchorfile>
      <anchor>1892fdf483a4019d627288eb73502f62</anchor>
      <arglist>(const TQString &amp;address, TQString &amp;displayName, TQString &amp;addrSpec, TQString &amp;comment)</arglist>
    </member>
    <member kind="function">
      <type>KPIM::EmailParseResult</type>
      <name>isValidEmailAddress</name>
      <anchorfile>namespaceKPIM.html</anchorfile>
      <anchor>fcef7130e03ff4692f91018f855b39e2</anchor>
      <arglist>(const TQString &amp;aStr)</arglist>
    </member>
    <member kind="function">
      <type>TQString</type>
      <name>emailParseResultToString</name>
      <anchorfile>namespaceKPIM.html</anchorfile>
      <anchor>b30b9db916b77b1dac18815d802717cd</anchor>
      <arglist>(EmailParseResult errorCode)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isValidSimpleEmailAddress</name>
      <anchorfile>namespaceKPIM.html</anchorfile>
      <anchor>40004dd76824f0f969bc9687a4a5d225</anchor>
      <arglist>(const TQString &amp;aStr)</arglist>
    </member>
    <member kind="function">
      <type>TQString</type>
      <name>simpleEmailAddressErrorMsg</name>
      <anchorfile>namespaceKPIM.html</anchorfile>
      <anchor>2f941b9bcff7b17115be2311d987da5a</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>TQCString</type>
      <name>getEmailAddress</name>
      <anchorfile>namespaceKPIM.html</anchorfile>
      <anchor>0157516c4d997577041fd7850338b404</anchor>
      <arglist>(const TQCString &amp;address)</arglist>
    </member>
    <member kind="function">
      <type>TQString</type>
      <name>getEmailAddress</name>
      <anchorfile>namespaceKPIM.html</anchorfile>
      <anchor>53907e068d1b0377adc1ede7bef20759</anchor>
      <arglist>(const TQString &amp;address)</arglist>
    </member>
    <member kind="function">
      <type>TQCString</type>
      <name>getFirstEmailAddress</name>
      <anchorfile>namespaceKPIM.html</anchorfile>
      <anchor>a9b7442459a083d6da81292c0f6a75b2</anchor>
      <arglist>(const TQCString &amp;addresses)</arglist>
    </member>
    <member kind="function">
      <type>TQString</type>
      <name>getFirstEmailAddress</name>
      <anchorfile>namespaceKPIM.html</anchorfile>
      <anchor>251082107d2a2c9597285dbe884a9155</anchor>
      <arglist>(const TQString &amp;addresses)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>getNameAndMail</name>
      <anchorfile>namespaceKPIM.html</anchorfile>
      <anchor>3d06decacf0f727176287954fb13d14a</anchor>
      <arglist>(const TQString &amp;aStr, TQString &amp;name, TQString &amp;mail)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>compareEmail</name>
      <anchorfile>namespaceKPIM.html</anchorfile>
      <anchor>f8a22fa04978b31079c495f18de6ffa2</anchor>
      <arglist>(const TQString &amp;email1, const TQString &amp;email2, bool matchName)</arglist>
    </member>
    <member kind="function">
      <type>TQString</type>
      <name>normalizedAddress</name>
      <anchorfile>namespaceKPIM.html</anchorfile>
      <anchor>e47312318f8bf28b87261ebed2e19896</anchor>
      <arglist>(const TQString &amp;displayName, const TQString &amp;addrSpec, const TQString &amp;comment)</arglist>
    </member>
    <member kind="function">
      <type>TQString</type>
      <name>decodeIDN</name>
      <anchorfile>namespaceKPIM.html</anchorfile>
      <anchor>dd3062720384cb08bd1ad77195370790</anchor>
      <arglist>(const TQString &amp;addrSpec)</arglist>
    </member>
    <member kind="function">
      <type>TQString</type>
      <name>encodeIDN</name>
      <anchorfile>namespaceKPIM.html</anchorfile>
      <anchor>12f9681cb4092d50ae1f21a493d4536e</anchor>
      <arglist>(const TQString &amp;addrSpec)</arglist>
    </member>
    <member kind="function">
      <type>TQString</type>
      <name>normalizeAddressesAndDecodeIDNs</name>
      <anchorfile>namespaceKPIM.html</anchorfile>
      <anchor>1eb80e56a9b337cce7bc3c3082a3f901</anchor>
      <arglist>(const TQString &amp;addresses)</arglist>
    </member>
    <member kind="function">
      <type>TQString</type>
      <name>normalizeAddressesAndEncodeIDNs</name>
      <anchorfile>namespaceKPIM.html</anchorfile>
      <anchor>fc8b0f50e9650072ad99ab8468d5f1b1</anchor>
      <arglist>(const TQString &amp;str)</arglist>
    </member>
    <member kind="function">
      <type>TQString</type>
      <name>quoteNameIfNecessary</name>
      <anchorfile>namespaceKPIM.html</anchorfile>
      <anchor>8349d1f78aeaa046630785e60863d332</anchor>
      <arglist>(const TQString &amp;str)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static unsigned char</type>
      <name>ASCIIToLower</name>
      <anchorfile>namespaceKPIM.html</anchorfile>
      <anchor>3be1bd2f05fe198b10d57156a11fafa2</anchor>
      <arglist>(unsigned char ch)</arglist>
    </member>
    <member kind="function">
      <type>char *</type>
      <name>kAsciiToLower</name>
      <anchorfile>namespaceKPIM.html</anchorfile>
      <anchor>a7e658b703f73630b7852c858d0cf532</anchor>
      <arglist>(char *str)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static unsigned char</type>
      <name>ASCIIToUpper</name>
      <anchorfile>namespaceKPIM.html</anchorfile>
      <anchor>e1a7d018d2d8de9b0e396c8741c89e8b</anchor>
      <arglist>(unsigned char ch)</arglist>
    </member>
    <member kind="function">
      <type>char *</type>
      <name>kAsciiToUpper</name>
      <anchorfile>namespaceKPIM.html</anchorfile>
      <anchor>f0520be3d7964dd69630f1d580eac236</anchor>
      <arglist>(char *str)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KPIM::IdMapper</name>
    <filename>classKPIM_1_1IdMapper.html</filename>
    <member kind="function">
      <type></type>
      <name>IdMapper</name>
      <anchorfile>classKPIM_1_1IdMapper.html</anchorfile>
      <anchor>abcb9b58eb3cc8651b3baaa40da4f6c2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>IdMapper</name>
      <anchorfile>classKPIM_1_1IdMapper.html</anchorfile>
      <anchor>042548bc5804c630e33a12a708336daa</anchor>
      <arglist>(const TQString &amp;path, const TQString &amp;identifier=TQString::null)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~IdMapper</name>
      <anchorfile>classKPIM_1_1IdMapper.html</anchorfile>
      <anchor>d07bbfd789c3e6517eb5b2578650e4bc</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setPath</name>
      <anchorfile>classKPIM_1_1IdMapper.html</anchorfile>
      <anchor>940cff9e0baa9fb868745432b702a14e</anchor>
      <arglist>(const TQString &amp;path)</arglist>
    </member>
    <member kind="function">
      <type>TQString</type>
      <name>path</name>
      <anchorfile>classKPIM_1_1IdMapper.html</anchorfile>
      <anchor>0984d14779d546006ebfc31ad00791e0</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setIdentifier</name>
      <anchorfile>classKPIM_1_1IdMapper.html</anchorfile>
      <anchor>80de4073277db2b66d4dbc33aa641db0</anchor>
      <arglist>(const TQString &amp;identifier)</arglist>
    </member>
    <member kind="function">
      <type>TQString</type>
      <name>identifier</name>
      <anchorfile>classKPIM_1_1IdMapper.html</anchorfile>
      <anchor>ca59c1a18a016e641bb7b504d4ed69ac</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>load</name>
      <anchorfile>classKPIM_1_1IdMapper.html</anchorfile>
      <anchor>2f6d29d2a80837c9bb298e187a030d4e</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>save</name>
      <anchorfile>classKPIM_1_1IdMapper.html</anchorfile>
      <anchor>77a4825834f626137f0aae38827ba43d</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>clear</name>
      <anchorfile>classKPIM_1_1IdMapper.html</anchorfile>
      <anchor>74b10758cfb38f49aa3f05ad100037af</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setRemoteId</name>
      <anchorfile>classKPIM_1_1IdMapper.html</anchorfile>
      <anchor>81a5dfa60c2dcccf8c947ac23f4b8a9e</anchor>
      <arglist>(const TQString &amp;localId, const TQString &amp;remoteId)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>removeRemoteId</name>
      <anchorfile>classKPIM_1_1IdMapper.html</anchorfile>
      <anchor>8fc3ae9dec74555e81ca1dc7b549741b</anchor>
      <arglist>(const TQString &amp;remoteId)</arglist>
    </member>
    <member kind="function">
      <type>TQString</type>
      <name>remoteId</name>
      <anchorfile>classKPIM_1_1IdMapper.html</anchorfile>
      <anchor>43bda6df04653d67ba262480aefd36ba</anchor>
      <arglist>(const TQString &amp;localId) const </arglist>
    </member>
    <member kind="function">
      <type>TQString</type>
      <name>localId</name>
      <anchorfile>classKPIM_1_1IdMapper.html</anchorfile>
      <anchor>cb4b656822fe50ee83ce502534a7106a</anchor>
      <arglist>(const TQString &amp;remoteId) const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setFingerprint</name>
      <anchorfile>classKPIM_1_1IdMapper.html</anchorfile>
      <anchor>986ed9e2d7ef7c79aec9893e0387ca0a</anchor>
      <arglist>(const TQString &amp;localId, const TQString &amp;fingerprint)</arglist>
    </member>
    <member kind="function">
      <type>const TQString &amp;</type>
      <name>fingerprint</name>
      <anchorfile>classKPIM_1_1IdMapper.html</anchorfile>
      <anchor>9ff2bfa4cab99357f55ab1f63e12cc8b</anchor>
      <arglist>(const TQString &amp;localId) const </arglist>
    </member>
    <member kind="function">
      <type>TQMap&lt; TQString, TQString &gt;</type>
      <name>remoteIdMap</name>
      <anchorfile>classKPIM_1_1IdMapper.html</anchorfile>
      <anchor>796e59b891598d45a6aa7cb9f82faa9a</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>TQString</type>
      <name>asString</name>
      <anchorfile>classKPIM_1_1IdMapper.html</anchorfile>
      <anchor>0cff34018d134bdcfc35a7501be52729</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" protection="protected">
      <type>TQString</type>
      <name>filename</name>
      <anchorfile>classKPIM_1_1IdMapper.html</anchorfile>
      <anchor>7bd1d9ccbdecc53d467ea1980290a1c7</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KPIM::NetworkStatus</name>
    <filename>classKPIM_1_1NetworkStatus.html</filename>
    <member kind="enumeration">
      <name>Status</name>
      <anchorfile>classKPIM_1_1NetworkStatus.html</anchorfile>
      <anchor>5f70609343c4f193a045aa476b2d409c</anchor>
      <arglist></arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>statusChanged</name>
      <anchorfile>classKPIM_1_1NetworkStatus.html</anchorfile>
      <anchor>54be6237a21f6b633de6cd165411da1f</anchor>
      <arglist>(Status status)</arglist>
    </member>
    <member kind="dcop">
      <type>void</type>
      <name>onlineStatusChanged</name>
      <anchorfile>classKPIM_1_1NetworkStatus.html</anchorfile>
      <anchor>cc3ba5afef5a2a3f2d93de5f993934cb</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~NetworkStatus</name>
      <anchorfile>classKPIM_1_1NetworkStatus.html</anchorfile>
      <anchor>a1f54631fc9a6bc47292c5b22b4f69c4</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setStatus</name>
      <anchorfile>classKPIM_1_1NetworkStatus.html</anchorfile>
      <anchor>1e0d58c1de17f406b32d2520d639b535</anchor>
      <arglist>(Status status)</arglist>
    </member>
    <member kind="function">
      <type>Status</type>
      <name>status</name>
      <anchorfile>classKPIM_1_1NetworkStatus.html</anchorfile>
      <anchor>6cd5c8b3b03e4091351cded493d2091d</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" static="yes">
      <type>static NetworkStatus *</type>
      <name>self</name>
      <anchorfile>classKPIM_1_1NetworkStatus.html</anchorfile>
      <anchor>ffc2957895b7e0f3fd5688eb9361f0ff</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected">
      <type></type>
      <name>NetworkStatus</name>
      <anchorfile>classKPIM_1_1NetworkStatus.html</anchorfile>
      <anchor>328fb9a09e00f229467ba593b2ae90e8</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
</tagfile>
